Index: LMDZ6/trunk/libf/phylmd/orbite.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/orbite.f90	(revision 5268)
+++ LMDZ6/trunk/libf/phylmd/orbite.f90	(revision 5274)
@@ -4,5 +4,17 @@
 ! ======================================================================
 SUBROUTINE orbite(xjour, longi, dist)
-  IMPLICIT NONE
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+IMPLICIT NONE
   ! ======================================================================
   ! Auteur(s): Z.X. Li (LMD/CNRS) (adapte du GCM du LMD) date: 19930818
@@ -18,5 +30,5 @@
   REAL xjour, longi, dist
   ! ======================================================================
-  include "YOMCST.h"
+
 
   ! -- Variables dynamiques locales
@@ -48,5 +60,17 @@
 SUBROUTINE angle(longi, lati, frac, muzero)
   USE dimphy
-  IMPLICIT NONE
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+IMPLICIT NONE
   ! ======================================================================
   ! Auteur(s): Z.X. Li (LMD/CNRS) date: 19930818
@@ -65,5 +89,5 @@
   REAL longi
   REAL lati(klon), frac(klon), muzero(klon)
-  include "YOMCST.h"
+
   REAL lat, omega, lon_sun, lat_sun
   REAL pi_local, incl
@@ -104,5 +128,17 @@
 SUBROUTINE zenang(longi, gmtime, pdtrad1, pdtrad2, lat, long, pmu0, frac)
   USE dimphy
-  IMPLICIT NONE
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+IMPLICIT NONE
   ! =============================================================
   ! Auteur : O. Boucher (LMD/CNRS)
@@ -114,5 +150,5 @@
   ! fournit des moyennes de pmu0 et non des valeurs
   ! instantanees, du coup frac prend toutes les valeurs
-  ! entre 0 et 1. La routine integre entre gmtime+pdtrad1 et 
+  ! entre 0 et 1. La routine integre entre gmtime+pdtrad1 et
   ! gmtime+pdtrad2 avec pdtrad1 et pdtrad2 exprimes en secondes.
   ! Date   : premiere version le 13 decembre 1994
@@ -131,5 +167,5 @@
   ! frac-----OUTPUT: ensoleillement moyen entre gmtime+pdtrad1 et gmtime+pdtrad2
   ! ================================================================
-  include "YOMCST.h"
+
   ! ================================================================
   REAL, INTENT (IN) :: longi, gmtime, pdtrad1, pdtrad2
@@ -236,5 +272,17 @@
 SUBROUTINE zenith(longi, gmtime, lat, long, pmu0, fract)
   USE dimphy
-  IMPLICIT NONE
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+IMPLICIT NONE
 
   ! Auteur(s): Z.X. Li (LMD/ENS)
@@ -253,5 +301,5 @@
 
   ! ====================================================================
-  include "YOMCST.h"
+
   ! ====================================================================
   REAL longi, gmtime
